IKEv1 vastaan IKEv2: esijaetulla avaimella tapahtuva todennus ja mikä eroaa
Molemmat versiot todistavat tuntevansa esijaetun avaimen lähettämättä sitä, mutta syöttävät eri syötteitä eri tiivisteisiin. Vertaa kahta jälkeä.
Kaksi samalla esijaetulla avaimella määritettyä yhdyskäytävää suorittaa kättelyn loppuun, eikä pakettikaappaus näytä salaisuuden kulkevan johdolla. Sen ihmiset muistavat. Kiinnostava osa on se, mitä kumpikin versio todella laskee todistaakseen salaisuuden tunnetuksi, koska IKEv1 ja IKEv2 rakentavat todistuksen eri syötteistä ja paljastavat samalla eri tietoja. Lukekaa kaksi jälkeä rinnakkain, niin ero lakkaa olemasta kosmeettinen.
Mitä todistuksen on saavutettava
Diffie-Hellman antaa molemmille osapuolille yhteisen arvon, jonka julkiset puolikkaat voi laskea myös kuka tahansa katseleva. Sellaisenaan se ei todista identiteetistä mitään: hyökkääjällä, joka saa avaintenvaihdon valmiiksi, on sama yhteinen arvo kuin yhdyskäytävällänne. Todennusvaihe on olemassa, jotta vaihto sidotaan salaisuuteen, joka on vain aiottujen osapuolten hallussa, sekä identiteetteihin ja parametreihin, joista ne sopivat.
Juuri tämä sidonta on syy siihen, miksi tiiviste kattaa enemmän kuin avaimen. Jos se kattaisi vain salaisuuden, hyökkääjä voisi toistaa sen toisessa vaihdossa eri identiteeteillä tai ehdotuksilla.
IKEv1 Main Mode: johda SKEYID ja todista se sitten
Main Mode kulkee kuudessa viestissä. Ensimmäinen pari neuvottelee tietoturvayhdistyksen, toinen vaihtaa Diffie-Hellmanin julkiset arvot ja noncet, ja kolmas kuljettaa identiteetit sekä todennustiivisteet juuri luodun salauksen alla. RFC 2409 määrittelee rakenteen: esijaetun avaimen todennuksessa SKEYID johdetaan salaisuudesta ja molemmista noncista, ja myöhempi avainmateriaali johdetaan SKEYIDistä, Diffie-Hellmanin yhteisestä arvosta, evästeistä ja vakioista.
Viidennen ja kuudennen viestin tiiviste lasketaan Diffie-Hellmanin arvosta, kahdesta evästeestä, ehdotuksesta ja lähettäjän identiteetistä SKEYIDillä avaimennettuna. Vastaanottaja laskee sen uudelleen omalla määritetyllä salaisuudellaan. Poikkeama päättää vaihdon, eikä salaisuus itse ole missään vaiheessa hyötykuorma.
Aggressive Mode puristaa saman työn kolmeen viestiin, mikä tarkoittaa, että identiteetit ja todennustiiviste kulkevat ennen kuin salattua kanavaa on olemassa. Se on todellinen altistus arvattavalle salaisuudelle, ja se on erillinen kysymyksestä, lähetettiinkö salaisuus. IKEv1 on vanhentunut RFC 9395:ssä, joten peritty jälki on diagnoosiharjoitus eikä käyttöönoton kohde.
IKEv2: erilainen johtaminen ja erilainen AUTH-hyötykuorma
IKEv2 ei käytä IKEv1:n avainjärjestelyä uudelleen. Alkuperäiset IKE-avaimet tulevat siemenestä, joka rakennetaan nonceista ja Diffie-Hellmanin yhteisestä arvosta, ja lapsen tietoturvayhdistykset johdetaan siitä. Esijaettu avain ei ruoki siementä lainkaan.
Todennus ilmaantuu sitten AUTH-hyötykuormana. Jaetun avaimen todennukselle RFC 7296 määrittelee salaisuuden täytetyn muodon, joka syntyy tiivistämällä salaisuus kiinteällä merkkijonolla Key Pad for IKEv2 ja sen jälkeen tiivistämällä allekirjoitetut vaihtotiedot ja identiteetti täytetyllä avaimella. Vahvistaja voi rakentaa saman arvon uudelleen; tarkkailija ei voi ilman salaisuutta.
Huomatkaa, mikä muuttui. IKEv1:ssä salaisuus on leivottu avainjärjestelyyn ennen kuin todennustiiviste on olemassa; IKEv2:ssa avainjärjestely on salaisuudesta riippumaton ja todiste on erillinen hyötykuorma, joka on sidottu allekirjoitettuihin oktetteihin. Sama käsitteellinen tae, eri koneisto, ja siksi parametrien nimet ja kaappaukset eivät vastaa toisiaan yksi yhteen.
Mitä tarkkailija todella oppii
Diffie-Hellmanin julkiset arvot, ehdotukset, noncet ja evästeet ovat näkyvissä molemmissa versioissa. Identiteetit ovat näkyvissä IKEv1 Aggressive Modessa ja suojattuja muissa tapauksissa. Salaisuus ei ole koskaan näkyvissä.
Viimeisellä lauseella on raja, joka kannattaa mainita. Heikko, ihmisen valitsema salaisuus voidaan hyökätä arvaamalla: hyökkääjä laskee, mikä todennusarvo olisi ehdokassalaisuudelle, ja vertaa. IKEv1 Aggressive Mode tekee siitä halvinta, koska todisteet ovat näkyvissä, ja standardit varoittavat yleisesti matalan entropian salaisuuksista. Salaisuuden koskaan lähettämättä jättäminen ei ole sama asia kuin huonon salaisuuden tekeminen turvalliseksi.
Mitä vertailulla pitäisi tehdä
Käyttäkää yhtä ainutlaatuista salaisuutta osapuoliparia kohden, luokaa se satunnaislähteestä ja kierrättäkää se samaa provisiointipolkua pitkin, joka sen jakoi. Jos salaisuus on tallennettu määritysmalliin, joka lähetetään jokaiseen toimipisteeseen, yhden paikan kompromissi on kompromissi kaikkialla.
Suosikaa varmenneperusteista todennusta silloin, kun käyttökustannukset ovat hyväksyttävät, koska se poistaa jaetun salaisuuden arvaamisen ongelman ja antaa kullekin osapuolelle oman identiteetin. Missä esijaettu avain jää, pitäkää se pitkänä, rajatkaa sen alaa ja kohdelkaa IKE-versiota turvallisuuspäätöksenä eikä yhteentoimivuuden yksityiskohtana.